Loading...
Searching...
No Matches
TimeBlockBuffer< data_t > Class Template Reference

`#include <timeblockbuffer.h>`

## Classes

struct | DataRow

## Public Types

typedef unsigned | symbol_t

## Public Member Functions

| TimeBlockBuffer (size_t nPol, size_t nChannels)
bool | Empty () const
void | resize (size_t nRows)
DataRow & | operator[] (size_t rowIndex)
void | ResetData ()
void | SetData (size_t blockRow, size_t antenna1, size_t antenna2, const data_t *data)
void | GetData (size_t blockRow, data_t *destination) const
size_t | NRows () const
size_t | MaxAntennaIndex () const
const std::vector< DataRow > & | GetVector () const
std::vector< DataRow > & | GetVector ()
template<typename other_t>
void | ConvertVector (std::vector< typename TimeBlockBuffer< other_t >::DataRow > &vector) const

## Private Attributes

size_t | _nPol
size_t | _nChannels
std::vector< DataRow > | _data

## Detailed Description

template<typename data_t>
class TimeBlockBuffer< data_t >

Definition at line 10 of file timeblockbuffer.h.

## Member Typedef Documentation

## symbol_t

template<typename data_t>

typedef unsigned TimeBlockBuffer< data_t >::symbol_t

Definition at line 12 of file timeblockbuffer.h.

## Constructor & Destructor Documentation

## TimeBlockBuffer()

template<typename data_t>

TimeBlockBuffer< data_t >::TimeBlockBuffer | ( | size_t | nPol,
|  | size_t | nChannels )

inline

Definition at line 14 of file timeblockbuffer.h.

## Member Function Documentation

## ConvertVector()

template<typename data_t>
template<typename other_t>

void TimeBlockBuffer< data_t >::ConvertVector | ( | std::vector< typename TimeBlockBuffer< other_t >::DataRow > & | vector | ) | const

inline

Definition at line 62 of file timeblockbuffer.h.

## Empty()

template<typename data_t>

bool TimeBlockBuffer< data_t >::Empty | ( |  | ) | const

inline

Definition at line 17 of file timeblockbuffer.h.

## GetData()

template<typename data_t>

void TimeBlockBuffer< data_t >::GetData | ( | size_t | blockRow,
|  | data_t * | destination ) const

inline

Definition at line 41 of file timeblockbuffer.h.

## GetVector() [1/2]

template<typename data_t>

std::vector< DataRow > & TimeBlockBuffer< data_t >::GetVector | ( |  | ) |

inline

Definition at line 59 of file timeblockbuffer.h.

## GetVector() [2/2]

template<typename data_t>

const std::vector< DataRow > & TimeBlockBuffer< data_t >::GetVector | ( |  | ) | const

inline

Definition at line 58 of file timeblockbuffer.h.

Referenced by WeightBlockEncoder::Encode().

## MaxAntennaIndex()

template<typename data_t>

size_t TimeBlockBuffer< data_t >::MaxAntennaIndex | ( |  | ) | const

inline

Definition at line 49 of file timeblockbuffer.h.

## NRows()

template<typename data_t>

size_t TimeBlockBuffer< data_t >::NRows | ( |  | ) | const

inline

Definition at line 47 of file timeblockbuffer.h.

## operator[]()

template<typename data_t>

DataRow & TimeBlockBuffer< data_t >::operator[] | ( | size_t | rowIndex | ) |

inline

Definition at line 26 of file timeblockbuffer.h.

## ResetData()

template<typename data_t>

void TimeBlockBuffer< data_t >::ResetData | ( |  | ) |

inline

Definition at line 28 of file timeblockbuffer.h.

## resize()

template<typename data_t>

void TimeBlockBuffer< data_t >::resize | ( | size_t | nRows | ) |

inline

Definition at line 19 of file timeblockbuffer.h.

## SetData()

template<typename data_t>

void TimeBlockBuffer< data_t >::SetData | ( | size_t | blockRow,
|  | size_t | antenna1,
|  | size_t | antenna2,
|  | const data_t * | data )

inline

Definition at line 30 of file timeblockbuffer.h.

## Member Data Documentation

## _data

template<typename data_t>

std::vector<DataRow> TimeBlockBuffer< data_t >::_data

private

Definition at line 77 of file timeblockbuffer.h.

## _nChannels

template<typename data_t>

size_t TimeBlockBuffer< data_t >::_nChannels

private

Definition at line 76 of file timeblockbuffer.h.

## _nPol

template<typename data_t>

size_t TimeBlockBuffer< data_t >::_nPol

private

Definition at line 76 of file timeblockbuffer.h.

The documentation for this class was generated from the following file:

- tables/Dysco/timeblockbuffer.h